%define realname pgsql_perl5
Name:           perl-pgsql_perl5
Version:        1.9.0
Release:        6%{?dist}
Summary:        Pg - Perl5 extension for PostgreSQL

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/pgsql_perl5/
Source0:        http://www.cpan.org/modules/by-module/Pg/%{realname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildArch:      noarch
# Correct for lots of packages, other common choices include eg. Module::Build
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  postgresql-devel

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The Pg module permits you to access all functions of the Libpq interface
of PostgreSQL. Libpq is the programmer's interface to PostgreSQL. 
For examples of how to use this module, look at the file test.pl.

%prep
%setup -q -n %{realname}-%{version}


%build
# Remove OPTIMIZE=... from noarch packages (unneeded)
env POSTGRES_INCLUDE=%{_includedir} POSTGRES_LIB=%{_libdir} %{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}  OPTIMIZE="%{optflags}"

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
#Don't test, because it's requires this package to be installed to work
#make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README 
#MANIFEST eg/ Don't include MANIFEST file and eg folder
%{perl_vendorarch}/Pg.pm
%{perl_vendorarch}/auto/Pg/
%{_mandir}/man3/*.3*


%changelog
* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.9.0-6
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.9.0-5
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 10 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 1.9.0-2
- Changed license field to GPL+ or Artistic

* Thu Jan 22 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 1.9.0-1
- Initial RPM release
